//
//	 ______    ______    ______    
//	/\  __ \  /\  ___\  /\  ___\   
//	\ \  __<  \ \  __\_ \ \  __\_ 
//	 \ \_____\ \ \_____\ \ \_____\ 
//	  \/_____/  \/_____/  \/_____/ 
//
//	Powered by BeeFramework
//
//
//  VankeNoticeBoard_iPhone.m
//  vanke
//
//  Created by xiaomi on 15/11/8.
//  Copyright © 2015年 gomore. All rights reserved.
//

#import "VankeNoticeBoard_iPhone.h"
#import "VankeUtil.h"

#pragma mark -

@interface VankeNoticeBoard_iPhone()
{
    BOOL addBordered;
}
@end

@implementation VankeNoticeBoard_iPhone

@synthesize data = _data;

SUPPORT_AUTOMATIC_LAYOUT( YES )
SUPPORT_RESOURCE_LOADING( YES )

DEF_OUTLET( BeeUIView, viewAtts )

- (void)load
{
}

- (void)unload
{
}

#pragma mark - Signal

ON_CREATE_VIEWS( signal )
{
    [UIApplication sharedApplication].statusBarHidden = NO;
    
    self.navigationBarShown = YES;
    self.title = @"公告";
    self.allowedSwipeToBack = YES;
    
    addBordered = NO;
}

ON_DELETE_VIEWS( signal )
{
}

ON_LAYOUT_VIEWS( signal )
{
    if (!addBordered) {
        [VankeUtil drawDashedBorderAroundView:self.viewAtts cornerRadius:5 borderWidth:1 borderColor:[UIColor grayColor]];
        addBordered = YES;
    }
}

ON_WILL_APPEAR( signal )
{
}

ON_DID_APPEAR( signal )
{
}

ON_WILL_DISAPPEAR( signal )
{
}

ON_DID_DISAPPEAR( signal )
{
}



@end
